import { UmbLitElement } from '../../lit-element/index.js';
export declare class UmbTemporaryFileBadgeElement extends UmbLitElement {
    #private;
    set progress(v: number);
    get progress(): number;
    complete: boolean;
    error: boolean;
    render(): import("lit-html").TemplateResult<1>;
    static readonly styles: import("lit").CSSResult;
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-temporary-file-badge': UmbTemporaryFileBadgeElement;
    }
}
export default UmbTemporaryFileBadgeElement;
